### Virtual Method

# Fwupd Codec from_variant

#### Declaration [src]

    gboolean
    from_variant (
      FwupdCodec* self,
      GVariant* value,
      GError** error
    )

#### Description [src]

Converts an object that implements `FwupdCodec` from a `GVariant` value.

Available since: | 2.0.0

#### Parameters

`value` | `GVariant`
| A JSON node.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` on success.